You are not logged in.

#1 2013-10-17 19:09:17

xpt
Member
Registered: 2012-10-23
Posts: 52

[SOLVED] KDE not working, could not start ksmserver

When i start KDE, gives me the following error

Could not start ksmserver. Check your installation 

Trying to solve the problem, try to run ksmserver, startkde, kded4 and gives me the following error

Unable to load library icui18n "Cannot load library icui18n: (icui18n: no se puede abrir el fichero del objeto compartido: 
No existe el fichero o el directorio)" 

I updated my system and reinstalled some packages but does not work

Last edited by xpt (2013-10-20 19:21:48)

Offline

#2 2013-10-17 19:19:08

karol
Archivist
Registered: 2009-05-06
Posts: 25,423

Re: [SOLVED] KDE not working, could not start ksmserver

Run

LC_ALL=C <command>

to get the output in English.

icu has just been updated, what's the version you're using?

Offline

#3 2013-10-17 19:23:43

xpt
Member
Registered: 2012-10-23
Posts: 52

Re: [SOLVED] KDE not working, could not start ksmserver

Unable to load library icui18n "Cannot load library icui18n: (icui18n: cannot open shared object file: No such file or directory)" 

i have icu 52.1-1

Offline

#4 2013-10-17 19:42:26

karol
Archivist
Registered: 2009-05-06
Posts: 25,423

Re: [SOLVED] KDE not working, could not start ksmserver

Maybe the server you're using hasn't fully synced yet and you don't have e.g. the new boost-libs https://www.archlinux.org/packages/?name=boost-libs or some other package or maybe some other package needs to be recompiled, but was somehow missed by the devs.

Offline

#5 2013-10-17 19:48:41

xpt
Member
Registered: 2012-10-23
Posts: 52

Re: [SOLVED] KDE not working, could not start ksmserver

i get the last version of boost-libs  (1.54.0-4)

Offline

#6 2013-10-17 20:19:02

arojas
Developer
From: Spain
Registered: 2011-10-09
Posts: 1,118

Re: [SOLVED] KDE not working, could not start ksmserver

1) Fully update your system
2) If it still doesn't work, post the output of 'pacman -Qm'

Edit: nevermind, it looks like qt4 missed the move and is still in [testing]

Last edited by arojas (2013-10-17 20:23:56)

Offline

#7 2013-10-17 20:26:03

xpt
Member
Registered: 2012-10-23
Posts: 52

Re: [SOLVED] KDE not working, could not start ksmserver

the only thing I have not updated is

 aur/libdbusmenu           12.10.2-1      1 -> 2
aur/libdbusmenu-gtk2      12.10.2-1      1 -> 2
aur/libdbusmenu-gtk3      12.10.2-1      1 -> 2
aur/bamf                  0.3.6-1        -> 0.5.0-1
aur/lightdm-ubuntu        1.7.12-1       -> 1.7.18-1
aur/lightdm-unity-greeter 13.04.2-104    -> 13.10.2-100
aur/pyload-git            2595.cef7ca8-1 -> 2621.76e7c4b-1

pacman -Qm

akonadi-googledata 1.2.0-1
android-sdk r22.2.1-1
appmenu-gtk2 12.10.3daily13.04.03-2
appmenu-gtk3 12.10.3daily13.04.03-2
appmenu-qt5 0.2.7daily13.03.28-1
appmenu-qt5-debug 0.2.7daily13.03.28-1
archlinux-artwork 1.6-3
audiokonverter 5.9.1-2
audiothumbs-patched 0.2-1
audiveris 4.2.3318-2
bamf 0.3.6-1
bbswitch-dkms 0.7-1
bbswitch-hook 1.0-2
bittorrent-sync 1.1.82-2
bluez-tools 0.1.38-3
broadcom-wl 6.30.223.141-3
burg-bios-bzr 1844-4
burg-themes 20100623-2
cairo-ubuntu 1.12.16-2
chromium-libpdf 32.0.1671.3-1
chromium-pepper-flash 11.9.900.117-1
command-not-found 0.4.5-1
copy-agent 1.37.0546-1
crossover 12.5.0-1
cuttlefish 12.08-5
darling-git 594.6407eba-1
dockmanager-kde_and_extra 0.9.17-1
dolphin-box-plugin-git 20110404-1
dolphin-emu-git 20121225-1
draftsight V1R4.0-1
dropbox-cli 1-15
dropbox-kde-systray-icons 1-1
duff 0.5.2-1
eclipse-android 22.2.1-1
eclipse-emf 2.9.0-1
eclipse-gef 3.9.0-1
eclipse-wtp 3.5.0-1
elementary-gtk-theme 3.4-1
ffmulticonverter-git 20121201-1
fmit 0.99.2-2
fontconfig-ubuntu 2.10.2-4
freetype2-ubuntu 2.5.0.1-4
fsrunner 0.7.5-2
glib2-ubuntu 2.37.1-2
gnome-pie 0.5.5-3
gnustep-base-clang-svn 37176-1
gnustep-corebase-clang-svn 37176-1
gnustep-gui-clang-svn 37176-1
gnustep-libobjc2-clang-svn 37176-1
gnustep-make-clang-svn 37176-1
google-earth 7.1.1.1888-1
gtk-kde4 0.9.5b-2
gtk-qt-engine 1.1-3
gtk2-appmenu 2.24.21-1
gtk3-appmenu 3.8.4-2
gtkdialog-svn 509-1
humanity-icon-theme 0.6.4-1
ido 12.10.2-1
indicator-session 12.10.4-3
inssider 0.1.1.0429-2
inx-icons-kde 0.5-1
iron-bin 29.0.1600.1-1
jdownloader 0.3.3-1
k4dirstat-git 20120803-1
kaffeinety 0.0.1-1
kamoso 2.0.2git20130121-1
kcm-ufw 0.4.3-2
kde-servicemenus-newlibreofficedoc 0.3-1
kde-services 1.8-9
kdeconnect-git 213.eb346a6-1
kdeplasma-applets-activeapp 0.2.2-1
kdeplasma-applets-eventlist 0.6-4
kdeplasma-applets-homerun 1.1.0-1
kdeplasma-applets-kwin-button-improved 0.6-1
kdeplasma-applets-menubar 0.2.0-4
kdeplasma-applets-networkmanagement 1:0.9.0.9-4
kdeplasma-applets-veromix-git 10.f2e9c5d-1
kdeplasma-applets-yawp 0.4.5-1
kdeplasma-runners-googletranslator 0.3.3-1
kdeplasma-theme-amakage 1.3.2-1
kdeplasma-themes-bluesora 2.0.5-1
kdeplasma-themes-panels-collections 2.0.2-1
kdm-theme-caledonia 1.3-1
kingsoft-office 9.1.0.4184_Alpha12SP1-1
kservicemenueditor 0.2a-3
ksplash-caledonia 1.3-1
ksuperkey 0.3-1
lib32-freetype2-ubuntu 2.5.0.1-2
lib32-libtiff3 3.9.5-2
lib32-libxslt 1.1.28-1
lib32-llvm-amdgpu-lib-snapshot 20130403-2
lib32-nas 1.9.3-1
libdbusmenu 12.10.2-1
libdbusmenu-gtk2 12.10.2-1
libdbusmenu-gtk3 12.10.2-1
libdbusmenu-qt5 0.9.2daily13.03.28-1
libdbusmenu-qt5-debug 0.9.2daily13.03.28-1
libgcal 0.9.6-1
libindicator3 12.10.1-1
libkqueue 2.0.1-2
libpng15 1.5.17-1
libreoffice-extension-menubar 0.1.1-1
libreoffice-extension-spanish-dictionary 1.0-2
libreoffice-flat-icon-set 1.3.5a-1
libticables 1.3.4-2
libticalcs 1.1.8-2
libticonv 1.1.4-2
libtiff3 3.9.5-2
libtifiles 1.1.6-2
light-themes 0.1.93-1
lightdm-ubuntu 1.7.12-1
lightdm-unity-greeter 13.04.2-104
lkl 0.1.1-2
llvm-amdgpu-lib-snapshot 20130403-3
local-repo 1.6.6-1
localepurge 0.7.3-1
logkeys-keymaps 2-1
masterpdfeditor 1.9.10-1
mdk3 v6-2
mkinitcpio-dkms 1.1-2
mobile-broadband-provider-info-git 20120129-1
moka-icon-theme-git 220.f8b7dfd-1
mozplugger-chromium 2.1.3-2
multisystem 1.0273-1
namebench 1.3.1-6
networkmanager-dispatcher-dropbox-systemd 1.0-1
nitrux-icons-kde 3.1.2-1
nvidia-dkms 325.15-2
octave-io 1.2.3-1
openfwwf 5.2-1
oxygen-gtk-icons 0.1-2
pacfoster 0.1-1
partitionmanager-svn 1367118-1
pdfcrack 0.11-1
pdfshuffler 0.6.0-2
pidgin-knotifications 0.3.6-1
piimg-git 27.e7ce4ad-1
plasma-theme-caledonia 1.3-1
plasma-theme-eleonora 1.1-2
plasma-theme-heliumone 1.1.0-1
plasma-wallpaper-dreamdesktop 0.3.0-2
potenza-icon-theme 1.0.1-3
preload 0.6.4-6
prey-tracker 0.6.0-1
pyload-git 2595.cef7ca8-1
python-dockmanager 0.1.0-2
python2-graphy 1.0-1
python2-pyflakes 0.7.3-1
python2-pypdf 1.13-2
qemu-user-static 1.4.0-3
qtcurve-kde3 1.8.5-3
qtoctave 0.10.1-3
qwinff 0.1.9-1
rar 5.0.0-1
razor-qt 0.5.2-5
remotedroid-server 1.5-2
samsung-laptop-git 20121221-1
samsung-tools 2.2-2
sfml1.6 1.6-5
skanlite 1.0-1
speech-to-text-text-to-speech-git 7.ea93f70-1
spyder 2.2.4-1
stardict-babylon-en-es 2.4.2-3
stardict-wordnet 2.4.2-3
steam-session-git 20130402-1
svg2emf 0.0.2-1
synaptiks 0.8.1-7
tiemu 3.03-4
tlp 0.4-2
tlp-rdw 0.4-1
ttf-arkpandora 2.04-2
ttf-win7-fonts-autodownload 7.1-3
tucan 0.3.10-3
ubuntu-mono 0.0.49-1
ubuntu-wallpapers 13.10-3
usb-creator 0.2.47.1-1
vala0.18 0.18.1-1
vba-m-gtk 1.8.0.1202-1
vlc-subtitles-mod 1.04-1
wepcrackgui 0.9.2-1
xbmc-eventclient-xbmc-send 20120908-1
xf86-input-xwiimote 0.4-1
xwiimote 2-1
xxd 1.10-2
youtubetomp3 3.1.1-1
zsh-completions-git 20120808-2

Offline

#8 2013-10-17 20:57:53

karol
Archivist
Registered: 2009-05-06
Posts: 25,423

Re: [SOLVED] KDE not working, could not start ksmserver

I think it should be OK to download the new qt4 version manually: go to https://www.archlinux.org/packages/testing/i686/qt4/ (assuming you're using 32-bits), click on 'Download From Mirror' link under 'Package Actions' heading.


arojas, can you test it? I'm not using kde.

Offline

#9 2013-10-17 21:38:32

arojas
Developer
From: Spain
Registered: 2011-10-09
Posts: 1,118

Re: [SOLVED] KDE not working, could not start ksmserver

karol wrote:

arojas, can you test it? I'm not using kde.

It works fine here with qt4 from [extra], so I can't really test whether installing the [testing] package fixes anything

Offline

#10 2013-10-17 21:40:23

karol
Archivist
Registered: 2009-05-06
Posts: 25,423

Re: [SOLVED] KDE not working, could not start ksmserver

arojas wrote:
karol wrote:

arojas, can you test it? I'm not using kde.

It works fine here with qt4 from [extra], so I can't really test whether installing the [testing] package fixes anything

In this case I don't understand your edit https://bbs.archlinux.org/viewtopic.php … 0#p1338550

Offline

#11 2013-10-17 21:59:44

xpt
Member
Registered: 2012-10-23
Posts: 52

Re: [SOLVED] KDE not working, could not start ksmserver

with qt4 [testing]  doesn't  give me library icui18n error, but still not working KDE

Offline

#12 2013-10-17 23:55:31

cfr
Member
From: Cymru
Registered: 2011-11-27
Posts: 5,661

Re: [SOLVED] KDE not working, could not start ksmserver

Can you reproduce the issue with a new user account?

How do you start KDE?


How To Ask Questions The Smart Way | Help Vampires

Arch Linux | x86_64 | GPT | EFI boot | grub2 | systemd | LVM2 on LUKS
Lenovo x121e | Intel(R) Core(TM) i3-2367M CPU @ 1.40GHz GenuineIntel | Intel Centrino Wireless-N 1000 | US keyboard with Euro | 320G 7200 RPM Seagate HDD

Offline

#13 2013-10-18 00:08:24

xpt
Member
Registered: 2012-10-23
Posts: 52

Re: [SOLVED] KDE not working, could not start ksmserver

is the same sad

Offline

#14 2013-10-18 01:25:47

cfr
Member
From: Cymru
Registered: 2011-11-27
Posts: 5,661

Re: [SOLVED] KDE not working, could not start ksmserver

I would be looking in the journal and logs at this point.

You didn't say how you start KDE.

Can you start KDE in failsafe mode?


How To Ask Questions The Smart Way | Help Vampires

Arch Linux | x86_64 | GPT | EFI boot | grub2 | systemd | LVM2 on LUKS
Lenovo x121e | Intel(R) Core(TM) i3-2367M CPU @ 1.40GHz GenuineIntel | Intel Centrino Wireless-N 1000 | US keyboard with Euro | 320G 7200 RPM Seagate HDD

Offline

#15 2013-10-18 01:38:41

LucetLux
Member
Registered: 2013-08-16
Posts: 131

Re: [SOLVED] KDE not working, could not start ksmserver

Same issue here since latest update, well, sort of the same, kde works, it shows me the error message later when running some applications.

Offline

#16 2013-10-18 01:52:28

xpt
Member
Registered: 2012-10-23
Posts: 52

Re: [SOLVED] KDE not working, could not start ksmserver

neither starts in failsafe mode
I start session without display manager ( to test failsafe mode i used  lightdm), and i can run lxde

Yesterday  updated with pacman -Syu and poweroff, today start the issue

Offline

#17 2013-10-18 02:04:00

LucetLux
Member
Registered: 2013-08-16
Posts: 131

Re: [SOLVED] KDE not working, could not start ksmserver

lib32-icu wasn't updated, I have icu 52.1-1 whereas lib32-icu is still 51.2-1. idk if that matters at all, but still, it's inconsistent.

Offline

#18 2013-10-18 02:07:05

xpt
Member
Registered: 2012-10-23
Posts: 52

Re: [SOLVED] KDE not working, could not start ksmserver

I installed lib32-icu after the problem to see if it was solved, but nothing happened

Edit:I've been using lxde, and some kde applications, take longer than usual to load (not just the first time), as dolphin, gwenview

Last edited by xpt (2013-10-18 03:20:06)

Offline

#19 2013-10-18 02:13:36

LucetLux
Member
Registered: 2013-08-16
Posts: 131

Re: [SOLVED] KDE not working, could not start ksmserver

Thinks that don't work for me so far:

teamspeak3 from the repos, I have another one that I manually "installed" which works just fine.
trine2-hib, if I try to run this game I get the "could not start ksmserver" message.

All of the kde apps that I tried to run work just fine.

Last edited by LucetLux (2013-10-18 02:40:48)

Offline

#20 2013-10-18 15:10:13

LucetLux
Member
Registered: 2013-08-16
Posts: 131

Re: [SOLVED] KDE not working, could not start ksmserver

The latest qt4 update solved this for me.

Offline

#21 2013-10-18 15:19:12

karol
Archivist
Registered: 2009-05-06
Posts: 25,423

Re: [SOLVED] KDE not working, could not start ksmserver

qt4 has been moved to [extra], so no fiddling with [testing] etc. is needed.

Offline

#22 2013-10-18 16:20:44

quiqueck
Member
Registered: 2013-04-15
Posts: 49

Re: [SOLVED] KDE not working, could not start ksmserver

If i start any kde-application from konsole i get the following error:

Unable to load library icui18n "Cannot load library icui18n: (icui18n: Kann die Shared-Object-Datei nicht öffnen: Datei oder Verzeichnis nicht gefunden)"

with strace i found that the applications are looking for:

open("/usr/lib/libicui18n.so.51", O_RDONLY|O_CLOEXEC) = -1 ENOENT (No such file or directory)
stat("/usr/lib", {st_mode=S_IFDIR|0755, st_size=139264, ...}) = 0

But installed is this:

pacman -Q icu
icu 52.1-1

locate libicui                                             
/usr/lib/libicui18n.so                                                                  
/usr/lib/libicui18n.so.52                                                               
/usr/lib/libicui18n.so.52.1                                                             
/usr/lib/libicuio.so                                                                    
/usr/lib/libicuio.so.52                                                                 
/usr/lib/libicuio.so.52.1

The system is up to date. All applications are working, so i am not shure if this is a great bug.

I found similiar threads (e.g. https://bugs.archlinux.org/task/30459), but they all handels different Versions and are solved.

Offline

#23 2013-10-18 16:31:14

karol
Archivist
Registered: 2009-05-06
Posts: 25,423

Re: [SOLVED] KDE not working, could not start ksmserver

See https://bbs.archlinux.org/viewtopic.php?id=171505

What's the output of 'pacman -Q qt4'?


Run

LC_ALL=C <command>

to get the output in English.

Offline

#24 2013-10-18 16:33:42

ewaller
Administrator
From: Pasadena, CA
Registered: 2009-07-13
Posts: 12,390

Re: [SOLVED] KDE not working, could not start ksmserver

Merging "libicui18n not found" with main thread


Nothing is too wonderful to be true, if it be consistent with the laws of nature -- Michael Faraday
Like you, I have no idea what you are doing, but I am pretty sure it is wrong...Jasonwryan
----
How to Ask Questions the Smart Way

Offline

#25 2013-10-18 16:50:04

quiqueck
Member
Registered: 2013-04-15
Posts: 49

Re: [SOLVED] KDE not working, could not start ksmserver

ewaller wrote:

Merging "libicui18n not found" with main thread

I haven't problems to run kde so i didn't assume that the „libicui“-Problem is the same. In my way, its not a Problem at all...

Anyway:

pacman -Q qt4
qt4 4.8.5-2

Offline

Board footer

Powered by FluxBB